%define major		1
%define api		3
%define gi_major	3.1

%define libnameburn3	%mklibname %{name}-burn %{api} %{major}
%define libnamemedia3	%mklibname %{name}-media %{api} %{major}
%define libnameutils3	%mklibname %{name}-utils %{api} %{major}

%define girmedia	%mklibname %{name}-media-gir %{gi_major}
%define girburn		%mklibname %{name}-burn-gir %{gi_major}

%define develname	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name: 	 	brasero
Summary: 	A disc burning application for GNOME
Version: 	3.10.0
Release: 	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	brasero_copy_disc.desktop
Source2:	brasero_create_data_project_from_blank_medium.desktop
Source3:	brasero_create_audio_cd_from_blank_medium.desktop
Patch1:		brasero-po.patch
URL:		http://www.gnome.org/projects/brasero/
License:	GPLv2+
Group:		Archiving/Cd burning
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gmodule-export-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.3
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gthread-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libburn-1) >= 0.4.0
BuildRequires:	pkgconfig(libcanberra) >= 0.1
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.1
BuildRequires:	pkgconfig(libisofs-1) >= 0.6.4
BuildRequires:	pkgconfig(libnautilus-extension) >= 2.91.90
BuildRequires:	pkgconfig(libnotify) >= 0.6.1
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(totem-plparser) >= 2.29.1
BuildRequires:	tracker-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	itstool yelp-tools
BuildRequires:	imagemagick
# Only needed when gnome-autogen.sh is used
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	gettext-devel

# requirements for burning audio CDs:
Requires:	cdrdao
Requires:	cdrkit-icedax
# optional requirements to make video projects work
Suggests:	vcdimager
Suggests:	dvdauthor
Suggests:	gstreamer1.0-plugins-bad

%description
Brasero is yet another CD / DVD writing application for the GNOME
desktop. It is designed to be as simple as possible and has some
unique features to enable users to create their discs easily and
quickly. It can handle both audio and data discs, and can use either
cdrkit or libburn / libisofs as the writing backend.

%package -n %{libnameburn3}
Group:		System/Libraries
Summary:	A disc burning application for GNOME - shared library

%description -n %{libnameburn3}
Brasero is yet another CD / DVD writing application for the GNOME
desktop. It is designed to be as simple as possible and has some
unique features to enable users to create their discs easily and
quickly. It can handle both audio and data discs, and can use either
cdrkit or libburn / libisofs as the writing backend.

%package -n %{libnamemedia3}
Group:		System/Libraries
Summary:	A disc burning application for GNOME - shared library

%description -n %{libnamemedia3}
Brasero is yet another CD / DVD writing application for the GNOME
desktop. It is designed to be as simple as possible and has some
unique features to enable users to create their discs easily and
quickly. It can handle both audio and data discs, and can use either
cdrkit or libburn / libisofs as the writing backend.

%package -n %{libnameutils3}
Group:		System/Libraries
Summary:	A disc burning application for GNOME - shared library

%description -n %{libnameutils3}
Brasero is yet another CD / DVD writing application for the GNOME
desktop. It is designed to be as simple as possible and has some
unique features to enable users to create their discs easily and
quickly. It can handle both audio and data discs, and can use either
cdrkit or libburn / libisofs as the writing backend.

%package -n %{girburn}
Summary:        GObject Introspection interface description for GData
Group:          System/Libraries
Requires:       %{libnameburn3} = %{version}-%{release}
Obsoletes:	%{_lib}%{name}-burn-gir0.0 < 3.2.0-2

%description -n %{girburn}
GObject Introspection interface description for GData.

%package -n %{girmedia}
Summary:        GObject Introspection interface description for GData
Group:          System/Libraries
Requires:       %{libnamemedia3} = %{version}-%{release}
Obsoletes:	%{_lib}%{name}-media-gir0.0 < 3.2.0-2

%description -n %{girmedia}
GObject Introspection interface description for GData.

%package -n %{develname}
Summary:	A disc burning application for GNOME - development library
Group:		Development/C
Requires:	%{libnameburn3} = %{version}-%{release}
Requires:	%{libnamemedia3} = %{version}-%{release}
Requires:	%{libnameutils3} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Brasero is yet another CD / DVD writing application for the GNOME
desktop. It is designed to be as simple as possible and has some
unique features to enable users to create their discs easily and
quickly. It can handle both audio and data discs, and can use either
cdrkit or libburn / libisofs as the writing backend.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
        --enable-nautilus \
        --enable-libburnia \
        --enable-search \
        --enable-playlist \
        --enable-preview \
        --enable-inotify \
        --disable-caches \
        --disable-static

%make 

%install
%makeinstall_std

sed -i 's/cd:x/cd;x/' %{buildroot}%{_datadir}/applications/%{name}.desktop

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-help

#(nl) KDE Solid integration
mkdir -p %{buildroot}%{_datadir}/apps/solid/actions
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/apps/solid/actions/
install -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/apps/solid/actions/
install -D -m 644 %{SOURCE3} %{buildroot}%{_datadir}/apps/solid/actions/

%files -f %{name}.lang
%doc AUTHORS MAINTAINERS NEWS README
%{_bindir}/%{name}
%{_libdir}/%{name}3
%{_libdir}/nautilus/extensions-3.0/libnautilus-brasero-extension.*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.brasero.gschema.xml
%{_datadir}/GConf/gsettings/brasero.convert
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/apps/solid/actions/*

%files -n %{libnameburn3}
%{_libdir}/lib%{name}-burn3.so.%{major}*

%files -n %{libnamemedia3}
%{_libdir}/lib%{name}-media3.so.%{major}*

%files -n %{libnameutils3}
%{_libdir}/lib%{name}-utils3.so.%{major}*

%files -n %{girburn}
%{_libdir}/girepository-1.0/BraseroBurn-%{gi_major}.typelib

%files -n %{girmedia}
%{_libdir}/girepository-1.0/BraseroMedia-%{gi_major}.typelib

%files -n %develname
%doc %{_datadir}/gtk-doc/html/libbrasero*
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}3
%{_datadir}/gir-1.0/BraseroBurn-%{gi_major}.gir
%{_datadir}/gir-1.0/BraseroMedia-%{gi_major}.gir


%changelog
* Mon Dec 09 2013 colin <colin> 3.10.0-1.mga4
+ Revision: 556009
- Fix translated .desktop file.
- Update to 3.10.0

* Sat Oct 19 2013 umeabot <umeabot> 3.8.0-5.mga4
+ Revision: 536092
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 fwang <fwang> 3.8.0-4.mga4
+ Revision: 483290
- brasero now uses gst 1.0

* Wed Sep 18 2013 fwang <fwang> 3.8.0-3.mga4
+ Revision: 481267
- rebuild for new totem-pl-parser

* Sun May 26 2013 fwang <fwang> 3.8.0-2.mga4
+ Revision: 427849
- bump tracker req

* Sat May 25 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 427093
- update patch
- fix po file
- new version 3.8.0

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-3.mga3
+ Revision: 347165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 tv <tv> 3.6.1-2.mga3
+ Revision: 322586
- require cdrdao & cdrkit-icedax (mga#6134)

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317330
- update file list
- update file list

  + ovitters <ovitters>
    - new version 3.6.1

* Wed Sep 26 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 297835
- patch merged
- new version 3.6.0

* Wed Sep 19 2012 fwang <fwang> 3.5.92-1.mga3
+ Revision: 296064
- add more br
- fix br
- new version 3.5.92

* Wed Sep 05 2012 fwang <fwang> 3.4.1-1.mga3
+ Revision: 288374
- back to gst0.10 as there are still some more to port
- disable preview as it is not ported
- more gst patch
- add upstream patch to build with gst 1.0

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231120
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226887
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224521
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220334
- update gi_major
- new version 3.3.91

* Sat Feb 25 2012 wally <wally> 3.2.0-4.mga2
+ Revision: 214342
- rebuild for new tracker (add P3 from upstream GIT)
- redo linking patch P2

  + ovitters <ovitters>
    - rebuild for new tracker

* Fri Dec 23 2011 wally <wally> 3.2.0-2.mga2
+ Revision: 186860
- add P2 to fix linking
- fix gir pkg names
- clean .spec and BRs a bit

* Tue Sep 27 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 149328
- new version 3.2.0

* Wed Sep 21 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 146504
- new version 3.1.92
- drop old obsoletes/provides
- clean .spec a bit

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136574
- always build with gtk3
- fix str fmt
- fix desktop file
- new version 3.1.90

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.0-4.mga2
+ Revision: 111359
- Rebuild against new tracker

* Thu Jun 16 2011 dmorgan <dmorgan> 3.0.0-3.mga2
+ Revision: 108155
- Fix libs name

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-2.mga2
+ Revision: 106778
- Split libs on their own packages

* Tue Jun 14 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 106138
- Add libproxy-devel as buildrequires
- Add gnutls-devel as buildrequires
- Add libnotify-devel as buildrequire
- New version 3.0.0

* Tue Feb 08 2011 ahmad <ahmad> 2.32.1-2.mga1
+ Revision: 48887
- add missing BR libsm-devel

  + pterjan <pterjan>
    - imported package brasero

